Subject: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

From: Alan Davey <[email-masked]>
Date: Mon, 3 Dec 2012 17:22:34 +0000

Authors

I have a doubt about draft-ietf-ccamp-rsvp-te-srlg-collect-01, specifically about the SRLG collection.  Could you please let me know what you think?

According to section 4.1, the collection of SRLG information in RROs for the Resv is different to that for the Path.  This is unlike the existing processing of RROs, which are handled in the same way for the upstream and downstream directions (as defined in RFC3209 section 4.4.3).  Can you please explain why the collection of SRLGs must be different in the different directions?  My preference is that SRLG information collection in RROs is handled in the same way as existing RRO processing.

Regards

Alan Davey

Network Technologies
Metaswitch Networks

[email-masked]<mailto:[email-masked]>
+44 (0) 20 8366 1177
network-technologies.metaswitch.com<http://network-technologies.metaswitch.com/>

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Mon, 3 Dec 2012 17:35:25 +0000

Alan-

There are use cases where SRLGs for forward direction may not be same as SRLGs for reverse direction. E.g., consider a use case where an associated non-corouted tunnel is used as an FA; forward and reverse directions may follow different paths in the network. When such FA is used as a TE link for the tunnel for which SRLG recording is requested, forward and reverse SRLG values would be different.

Thanks

Regards...Zafar

From: [email-masked] [mailto:[email-masked]] On Behalf Of Alan Davey
Sent: Monday, December 03, 2012 12:23 PM
To: [email-masked]
Cc: [email-masked]
Subject: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Authors

Regards

Alan Davey

Network Technologies
Metaswitch Networks

---

From: Alan Davey <[email-masked]>
Date: Thu, 6 Dec 2012 09:48:05 +0000

Hi Zafar

Thanks for your response.  However, I am considering only the SRLG collection for a single LSP.  Collection of SRLGs for associated bi-directional LSPs and how the collection may be presented to other layers is orthogonal to this discussion.

I still have a doubt about the collection of SRLG information in the Resv message.  Unless there is a reason not to, I think that the collection should be handled in the same way in both the upstream and downstream directions.  Please let me know what you think of the following suggested change to the draft.

I suggest replacing the following paragraph in section 4.1

   "Before the Resv message is sent to the upstream node, the tail node
   adds an SRLG sub-object to the RRO.  The collected SRLG information
   can be carried in the SRLG sub-object.  Therefore, during the
   forwarding of the Resv message in the upstream direction, the SRLG
   information is not needed to be collected hop by hop."

With the paragraph

"As in the procedures defined for the processing of RROs in Section 4.4.3 of RFC 3209 [RFC3209], the processing of SRLG collection for Resv messages mirrors that of the Path messages.  That is, each intermediate node adds an SRLG sub-object to the RRO."

The benefits of this approach are that

-          the SRLG information received by the head and tail nodes is consistent
-          no information is lost when the SRLG information is collected in the Resv, it still includes a hop to SRLG mapping.

Regards

Alan Davey

Network Technologies
Metaswitch Networks

From: [email-masked] [mailto:[email-masked]] On Behalf Of Zafar Ali (zali)
Sent: 03 December 2012 17:36
To: Alan Davey; [email-masked]
Cc: [email-masked]
Subject: Re: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Alan-

Thanks

Regards...Zafar

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Alan Davey
Sent: Monday, December 03, 2012 12:23 PM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Authors

Regards

Alan Davey

Network Technologies
Metaswitch Networks

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Tue, 11 Dec 2012 15:50:26 +0000

Hi Alan:

Please see in-line.

Thanks

Regards...Zafar

From: Alan Davey [mailto:[email-masked]]
Sent: Thursday, December 06, 2012 4:48 AM
To: Zafar Ali (zali); [email-masked]
Cc: [email-masked]
Subject: RE: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Hi Zafar

No it is not orthogonal to this discussion. It is very much related. Please consider a bi-directional non-corouted  TE link is used as an FA/ RA for an LSP who's SRLG info is being recording. So we cannot assume forward and reverse SRLGs are *always* the same - and why assume when we don't have to make such assumption.

With the paragraph

My point is that we should NOT mirror SRLG values from Path RRP to Resv RRO. We should just record SRLG values for the reverse direction of the link in Resv RRO. Similarly, SRLGs of forward direction on the link in Path RRO. The collection should happen on hop-by-hop basis for both path and resv RRO.

I agree that the collection should happen on hop-by-hop basis for both path and resv RRO.

oatetwork Technologies
Metaswitch Networks

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Zafar Ali (zali)
Sent: 03 December 2012 17:36
To: Alan Davey; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>
Subject: Re: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Alan-

Thanks

Regards...Zafar

Authors

Regards

Alan Davey

Network Technologies
Metaswitch Networks

---

From: "Matt Hartley (mhartley)" <[email-masked]>
Date: Tue, 11 Dec 2012 17:36:59 +0000

Alan,

Apologies for the delay in responding on this one. Inline:

With the paragraph

When you say, "the processing... mirrors..." I presume you mean that the internal logic will be similar, rather than that the same values will be placed into the Resv RRO as went into the Path RRO?

Anyway, yes, I agree with the principle that the SRLGs in the Resv RRO should also be collected hop-by-hop rather than copied over from the Path RRO at the tail.

Cheers

Matt

Regards

Alan Davey

Network Technologies
Metaswitch Networks

Alan-

Thanks

Regards...Zafar

Authors

Regards

Alan Davey

Network Technologies
Metaswitch Networks

---

From: "Zafar Ali (zali)" <[email-masked]>
Date: Tue, 11 Dec 2012 18:01:08 +0000

Alan:

I had an offline chat w/ Matt and it will be great if your proposed text can be clarified based feedback from Matt/ me.

Thanks

Regards...Zafar

From: Matt Hartley (mhartley)
Sent: Tuesday, December 11, 2012 12:37 PM
To: Alan Davey; Zafar Ali (zali); [email-masked]
Cc: [email-masked]; Matt Hartley (mhartley)
Subject: RE: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Alan,

With the paragraph

Cheers

Matt

Regards

Alan Davey

Network Technologies
Metaswitch Networks

Alan-

Thanks

Regards...Zafar

Authors

Regards

Alan Davey

Network Technologies
Metaswitch Networks

---

From: Fatai Zhang <[email-masked]>
Date: Thu, 13 Dec 2012 06:51:37 +0000

Hi Zafar and Alan,

I think you both are at the same page, ie., the SRLG information should also be collected hop-by-hop in Resv direction (as Path direction).

My original thought is based on SRLG information (of a bidirectional LSP) in the both directions are always the same, and then we can just copy the SRLG information into Resv RRO from Path RRo to avoid ununecessary re-collection.

After I saw your comments on this issue, I tend to agree that it is better to have the consistent handle process as defined in RFC3209.

Best Regards

Fatai

发件人: Zafar Ali (zali) [mailto:[email-masked]]
发送时间: 2012年12月11日 23:50
收件人: Alan Davey; [email-masked]
抄送: [email-masked]
主题: RE: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Hi Alan:

Please see in-line.

Thanks

Regards…Zafar

Hi Zafar

No it is not orthogonal to this discussion. It is very much related. Please consider a bi-directional non-corouted  TE link is used as an FA/ RA for an LSP who’s SRLG info is being recording. So we cannot assume forward and reverse SRLGs are *always* the same – and why assume when we don’t have to make such assumption.

   “Before the Resv message is sent to the upstream node, the tail node
   adds an SRLG sub-object to the RRO.  The collected SRLG information
   can be carried in the SRLG sub-object.  Therefore, during the
   forwarding of the Resv message in the upstream direction, the SRLG
   information is not needed to be collected hop by hop.”

With the paragraph

“As in the procedures defined for the processing of RROs in Section 4.4.3 of RFC 3209 [RFC3209], the processing of SRLG collection for Resv messages mirrors that of the Path messages.  That is, each intermediate node adds an SRLG sub-object to the RRO.“

oatetwork Technologies
Metaswitch Networks

Alan-

Thanks

Regards…Zafar

Authors

Regards

Alan Davey

Network Technologies
Metaswitch Networks

---

From: Fatai Zhang <[email-masked]>
Date: Thu, 13 Dec 2012 06:57:18 +0000

Hi all,

I think the “the processing... mirrors...” may cause confusion or misunderstanding.

To Alan, could you provide some text to refine this sentense?

Best Regards

Fatai

发件人: [email-masked] [mailto:[email-masked]] 代表 Zafar Ali (zali)
发送时间: 2012年12月12日 2:01
收件人: Matt Hartley (mhartley); Alan Davey; [email-masked]
抄送: [email-masked]
主题: Re: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Alan:

Thanks

Regards…Zafar

Alan,

With the paragraph

When you say, “the processing... mirrors...” I presume you mean that the internal logic will be similar, rather than that the same values will be placed into the Resv RRO as went into the Path RRO?

Cheers

Matt

Regards

Alan Davey

Network Technologies
Metaswitch Networks

Alan-

Thanks

Regards…Zafar

Authors

Regards

Alan Davey

Network Technologies
Metaswitch Networks

---

From: Alan Davey <[email-masked]>
Date: Thu, 13 Dec 2012 15:11:32 +0000

Authors

Thank you all for your feedback.  I have clarified my proposed text and added more text to address Zafar’s point that the SRLGs may differ in the upstream and downstream directions.  Could you please let me know what you think of the following.

I suggest replacing the paragraph in section 4.1

With the following.

“When a node receives a Resv message for an LSP for which SRLG Collection is specified, if local policy determines that the SRLG information should not be provided to the endpoints, it MUST return a ResvErr.  Otherwise, it MUST add an SRLG sub-object to the RRO to carry the SRLG information in the upstream direction.  When the Resv message arrives at the head node, the head node can get the SRLG information from the RRO in the same way as the tail node.

Note that a link’s SRLG information for the upstream direction cannot be assumed to be the same as that in the downstream.

-          For Path and Resv messages for a unidirectional LSP, a node SHOULD include SRLG sub-objects in the RRO for the downstream data link only.

-          For Path and Resv messages for a bidirectional LSP, a node SHOULD include SRLG sub-objects in the RRO for both the upstream data link and the downstream data link from the local node.  In this case, the node MUST include the information in the same order for both Path messages and Resv messages.  That is, the SRLG sub-object for the upstream link is added to the RRO before the SRLG sub-object for the downstream link.”

Note that the existing text in section 4.1 on nodes editing SRLG information in an RRO already refers to both Path and Resv messages and therefore needs no change.

Regards

Alan Davey

Network Technologies
Metaswitch Networks

From: [email-masked] [mailto:[email-masked]] On Behalf Of Fatai Zhang
Sent: 13 December 2012 06:59
To: Zafar Ali (zali); Matt Hartley (mhartley); Alan Davey; [email-masked]
Cc: [email-masked]
Subject: [CCAMP] 答复: A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Hi all,

Best Regards

Fatai

发件人: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] 代表 Zafar Ali (zali)
发送时间: 2012年12月12日 2:01
收件人: Matt Hartley (mhartley); Alan Davey; [email-masked]<mailto:[email-masked]>
抄送: [email-masked]<mailto:[email-masked]>
主题: Re: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Alan:

Thanks

Regards…Zafar

From: Matt Hartley (mhartley)
Sent: Tuesday, December 11, 2012 12:37 PM
To: Alan Davey; Zafar Ali (zali); [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; Matt Hartley (mhartley)
Subject: RE: [CCAMP] A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Alan,

With the paragraph

Cheers

Matt

Regards

Alan Davey

Network Technologies
Metaswitch Networks

Alan-

Thanks

Regards…Zafar

Authors

Regards

Alan Davey

Network Technologies
Metaswitch Networks

---

From: Fatai Zhang <[email-masked]>
Date: Fri, 14 Dec 2012 07:01:16 +0000

Hi Alan,

Thanks, I am fine with your proposed text.

Best Regards

Fatai

发件人: Alan Davey [mailto:[email-masked]]
发送时间: 2012年12月13日 23:12
收件人: Fatai Zhang; Zafar Ali (zali); Matt Hartley (mhartley); [email-masked]
抄送: [email-masked]
主题: RE: [CCAMP] 答复: A question on draft-ietf-ccamp-rsvp-te-srlg-collect-01

Authors

With the following.

Regards

Alan Davey

Network Technologies
Metaswitch Networks

Hi all,

Best Regards

Fatai

Alan:

Thanks

Regards…Zafar

Alan,

With the paragraph

Cheers

Matt

Regards

Alan Davey

Network Technologies
Metaswitch Networks

Alan-

Thanks

Regards…Zafar

Authors

Regards

Alan Davey

Network Technologies
Metaswitch Networks